#include "lqt_common.hpp"
#include <Qt>
#include <QtCore>
#include <QtGui>

namespace LuaBinderQt {
  int lqt_pushenum_WhiteSpaceMode (lua_State *L);
  int lqt_pushenum_WhiteSpaceMode_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_HitTestAccuracy (lua_State *L);
  int lqt_pushenum_HitTestAccuracy_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_EventPriority (lua_State *L);
  int lqt_pushenum_EventPriority_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_TextInteractionFlag (lua_State *L);
  int lqt_pushenum_TextInteractionFlag_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_WindowModality (lua_State *L);
  int lqt_pushenum_WindowModality_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_MatchFlag (lua_State *L);
  int lqt_pushenum_MatchFlag_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_ItemFlag (lua_State *L);
  int lqt_pushenum_ItemFlag_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_ItemDataRole (lua_State *L);
  int lqt_pushenum_ItemDataRole_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_CheckState (lua_State *L);
  int lqt_pushenum_CheckState_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_DropAction (lua_State *L);
  int lqt_pushenum_DropAction_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_LayoutDirection (lua_State *L);
  int lqt_pushenum_LayoutDirection_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_ToolButtonStyle (lua_State *L);
  int lqt_pushenum_ToolButtonStyle_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_InputMethodQuery (lua_State *L);
  int lqt_pushenum_InputMethodQuery_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_ContextMenuPolicy (lua_State *L);
  int lqt_pushenum_ContextMenuPolicy_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_FocusReason (lua_State *L);
  int lqt_pushenum_FocusReason_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_Axis (lua_State *L);
  int lqt_pushenum_Axis_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_TransformationMode (lua_State *L);
  int lqt_pushenum_TransformationMode_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_ItemSelectionMode (lua_State *L);
  int lqt_pushenum_ItemSelectionMode_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_ClipOperation (lua_State *L);
  int lqt_pushenum_ClipOperation_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_MaskMode (lua_State *L);
  int lqt_pushenum_MaskMode_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_FillRule (lua_State *L);
  int lqt_pushenum_FillRule_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_ShortcutContext (lua_State *L);
  int lqt_pushenum_ShortcutContext_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_ConnectionType (lua_State *L);
  int lqt_pushenum_ConnectionType_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_Corner (lua_State *L);
  int lqt_pushenum_Corner_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_CaseSensitivity (lua_State *L);
  int lqt_pushenum_CaseSensitivity_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_ScrollBarPolicy (lua_State *L);
  int lqt_pushenum_ScrollBarPolicy_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_DayOfWeek (lua_State *L);
  int lqt_pushenum_DayOfWeek_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_TimeSpec (lua_State *L);
  int lqt_pushenum_TimeSpec_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_DateFormat (lua_State *L);
  int lqt_pushenum_DateFormat_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_ToolBarAreaSizes (lua_State *L);
  int lqt_pushenum_ToolBarAreaSizes_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_ToolBarArea (lua_State *L);
  int lqt_pushenum_ToolBarArea_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_DockWidgetAreaSizes (lua_State *L);
  int lqt_pushenum_DockWidgetAreaSizes_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_DockWidgetArea (lua_State *L);
  int lqt_pushenum_DockWidgetArea_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_AnchorAttribute (lua_State *L);
  int lqt_pushenum_AnchorAttribute_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_AspectRatioMode (lua_State *L);
  int lqt_pushenum_AspectRatioMode_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_TextFormat (lua_State *L);
  int lqt_pushenum_TextFormat_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_CursorShape (lua_State *L);
  int lqt_pushenum_CursorShape_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_UIEffect (lua_State *L);
  int lqt_pushenum_UIEffect_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_BrushStyle (lua_State *L);
  int lqt_pushenum_BrushStyle_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_PenJoinStyle (lua_State *L);
  int lqt_pushenum_PenJoinStyle_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_PenCapStyle (lua_State *L);
  int lqt_pushenum_PenCapStyle_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_PenStyle (lua_State *L);
  int lqt_pushenum_PenStyle_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_ArrowType (lua_State *L);
  int lqt_pushenum_ArrowType_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_Key (lua_State *L);
  int lqt_pushenum_Key_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_BGMode (lua_State *L);
  int lqt_pushenum_BGMode_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_ImageConversionFlag (lua_State *L);
  int lqt_pushenum_ImageConversionFlag_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_ApplicationAttribute (lua_State *L);
  int lqt_pushenum_ApplicationAttribute_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_WidgetAttribute (lua_State *L);
  int lqt_pushenum_WidgetAttribute_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_WindowState (lua_State *L);
  int lqt_pushenum_WindowState_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_WindowType (lua_State *L);
  int lqt_pushenum_WindowType_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_TextElideMode (lua_State *L);
  int lqt_pushenum_TextElideMode_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_TextFlag (lua_State *L);
  int lqt_pushenum_TextFlag_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_AlignmentFlag (lua_State *L);
  int lqt_pushenum_AlignmentFlag_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_SortOrder (lua_State *L);
  int lqt_pushenum_SortOrder_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_FocusPolicy (lua_State *L);
  int lqt_pushenum_FocusPolicy_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_Orientation (lua_State *L);
  int lqt_pushenum_Orientation_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_MouseButton (lua_State *L);
  int lqt_pushenum_MouseButton_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_Modifier (lua_State *L);
  int lqt_pushenum_Modifier_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_KeyboardModifier (lua_State *L);
  int lqt_pushenum_KeyboardModifier_QFLAGS_CREATOR (lua_State *L);
  int lqt_pushenum_GlobalColor (lua_State *L);
  int lqt_pushenum_GlobalColor_QFLAGS_CREATOR (lua_State *L);
};

extern "C" int luaopen_Qt (lua_State *L);
